org.eclipse.microprofile.config.tck

## Class ConverterTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.config.tck.ConverterTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class ConverterTest
    extends org.jboss.arquillian.testng.Arquillian

Author:
  Mark Struberg, Emily Jiang, John D. Ament, Gunnar Morling

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`ConverterTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `deploy()`
`void` `testBoolean()`
`void` `testByte_Broken()`
`void` `testbyte()`
`void` `testByte()`
`void` `testChar_Broken()`
`void` `testchar()`
`void` `testChar()`
`void` `testConverterSerialization()`
`void` `testCustomConverter()`
`void` `testDonaldConversionWithLambdaConverter()`
`void` `testDonaldConversionWithMultipleLambdaConverters()`
`void` `testDonaldNotConvertedByDefault()`
`void` `testDouble_Broken()`
`void` `testdouble()`
`void` `testDouble()`
`void` `testDuckConversionWithMultipleConverters()`
`void` `testDuration_Broken()`
`void` `testDuration()`
`void` `testFloat_Broken()`
`void` `testfloat()`
`void` `testFloat()`
`void` `testGetBooleanConverter()`
`void` `testGetByteConverter_Broken()`
`void` `testGetbyteConverter()`
`void` `testGetByteConverter()`
`void` `testGetCharConverter_Broken()`
`void` `testGetcharConverter()`
`void` `testGetCharConverter()`
`void` `testGetConverterSerialization()`
`void` `testGetCustomConverter()`
`void` `testGetDonaldConverterWithLambdaConverter()`
`void` `testGetDonaldConverterWithMultipleLambdaConverters()`
`void` `testGetDoubleConverter_Broken()`
`void` `testGetdoubleConverter()`
`void` `testGetDoubleConverter()`
`void` `testGetDuckConverterWithMultipleConverters()`
`void` `testGetDurationConverter_Broken()`
`void` `testGetDurationCoverter()`
`void` `testGetFloatConverter_Broken()`
`void` `testGetfloatConverter()`
`void` `testGetFloatConverter()`
`void` `testGetInstantConverter_Broken()`
`void` `testGetInstantConverter()`
`void` `testGetIntConverter()`
`void` `testGetIntegerConverter_Broken()`
`void` `testGetIntegerConverter()`
`void` `testGetLocalDateConverter_Broken()`
`void` `testGetLocalDateConverter()`
`void` `testGetLocalDateTimeConverter_Broken()`
`void` `testGetLocalDateTimeConverter()`
`void` `testGetLocalTimeConverter_Broken()`
`void` `testGetLocalTimeConverter()`
`void` `testGetLongConverter_Broken()`
`void` `testGetlongConverter()`
`void` `testGetLongConverter()`
`void` `testGetOffsetDateTimeConverter_Broken()`
`void` `testGetOffsetDateTimeConverter()`
`void` `testGetOffsetTimeConverter_Broken()`
`void` `testGetOffsetTimeConverter()`
`void` `testGetShortConverter_Broken()`
`void` `testGetshortConverter()`
`void` `testGetShortConverter()`
`void` `testGetURIConverter()`
`void` `testGetURIConverterBroken()`
`void` `testGetURLConverter()`
`void` `testGetURLConverterBroken()`
`void` `testGetZoneOffsetConverter_Broken()`
`void` `testGetZoneOffsetConverter()`
`void` `testInstant_Broken()`
`void` `testInstant()`
`void` `testInt()`
`void` `testInteger_Broken()`
`void` `testInteger()`
`void` `testLocalDate_Broken()`
`void` `testLocalDate()`
`void` `testLocalDateTime_Broken()`
`void` `testLocalDateTime()`
`void` `testLocalTime_Broken()`
`void` `testLocalTime()`
`void` `testLong_Broken()`
`void` `testlong()`
`void` `testLong()`
`void` `testNoDonaldConverterByDefault()`
`void` `testOffsetDateTime_Broken()`
`void` `testOffsetDateTime()`
`void` `testOffsetTime_Broken()`
`void` `testOffsetTime()`
`void` `testShort_Broken()`
`void` `testshort()`
`void` `testShort()`
`void` `testURIConverter()`
`void` `testURIConverterBroken()`
`void` `testURLConverter()`
`void` `testURLConverterBroken()`
`void` `testZoneOffset_Broken()`
`void` `testZoneOffset()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConverterTest

    public ConverterTest()

### Method Detail

#### deploy

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

#### testDonaldNotConvertedByDefault

    public void testDonaldNotConvertedByDefault()

#### testNoDonaldConverterByDefault

    public void testNoDonaldConverterByDefault()

#### testDonaldConversionWithLambdaConverter

    public void testDonaldConversionWithLambdaConverter()

#### testGetDonaldConverterWithLambdaConverter

    public void testGetDonaldConverterWithLambdaConverter()

#### testDonaldConversionWithMultipleLambdaConverters

    public void testDonaldConversionWithMultipleLambdaConverters()

#### testGetDonaldConverterWithMultipleLambdaConverters

    public void testGetDonaldConverterWithMultipleLambdaConverters()

#### testByte

    public void testByte()

#### testbyte

    public void testbyte()

#### testByte_Broken

    public void testByte_Broken()

#### testGetByteConverter

    public void testGetByteConverter()

#### testGetbyteConverter

    public void testGetbyteConverter()

#### testGetByteConverter_Broken

    public void testGetByteConverter_Broken()

#### testShort

    public void testShort()

#### testshort

    public void testshort()

#### testShort_Broken

    public void testShort_Broken()

#### testGetShortConverter

    public void testGetShortConverter()

#### testGetshortConverter

    public void testGetshortConverter()

#### testGetShortConverter_Broken

    public void testGetShortConverter_Broken()

#### testInteger

    public void testInteger()

#### testInt

    public void testInt()

#### testInteger_Broken

    public void testInteger_Broken()

#### testGetIntegerConverter

    public void testGetIntegerConverter()

#### testGetIntConverter

    public void testGetIntConverter()

#### testGetIntegerConverter_Broken

    public void testGetIntegerConverter_Broken()

#### testLong

    public void testLong()

#### testlong

    public void testlong()

#### testLong_Broken

    public void testLong_Broken()

#### testGetLongConverter

    public void testGetLongConverter()

#### testGetlongConverter

    public void testGetlongConverter()

#### testGetLongConverter_Broken

    public void testGetLongConverter_Broken()

#### testFloat

    public void testFloat()

#### testfloat

    public void testfloat()

#### testFloat_Broken

    public void testFloat_Broken()

#### testGetFloatConverter

    public void testGetFloatConverter()

#### testGetfloatConverter

    public void testGetfloatConverter()

#### testGetFloatConverter_Broken

    public void testGetFloatConverter_Broken()

#### testDouble

    public void testDouble()

#### testdouble

    public void testdouble()

#### testDouble_Broken

    public void testDouble_Broken()

#### testGetDoubleConverter

    public void testGetDoubleConverter()

#### testGetdoubleConverter

    public void testGetdoubleConverter()

#### testGetDoubleConverter_Broken

    public void testGetDoubleConverter_Broken()

#### testChar

    public void testChar()

#### testchar

    public void testchar()

#### testChar_Broken

    public void testChar_Broken()

#### testGetCharConverter

    public void testGetCharConverter()

#### testGetcharConverter

    public void testGetcharConverter()

#### testGetCharConverter_Broken

    public void testGetCharConverter_Broken()

#### testDuration

    public void testDuration()

#### testDuration_Broken

    public void testDuration_Broken()

#### testGetDurationCoverter

    public void testGetDurationCoverter()

#### testGetDurationConverter_Broken

    public void testGetDurationConverter_Broken()

#### testLocalTime

    public void testLocalTime()

#### testLocalTime_Broken

    public void testLocalTime_Broken()

#### testGetLocalTimeConverter

    public void testGetLocalTimeConverter()

#### testGetLocalTimeConverter_Broken

    public void testGetLocalTimeConverter_Broken()

#### testLocalDate

    public void testLocalDate()

#### testLocalDate_Broken

    public void testLocalDate_Broken()

#### testGetLocalDateConverter

    public void testGetLocalDateConverter()

#### testGetLocalDateConverter_Broken

    public void testGetLocalDateConverter_Broken()

#### testLocalDateTime

    public void testLocalDateTime()

#### testLocalDateTime_Broken

    public void testLocalDateTime_Broken()

#### testGetLocalDateTimeConverter

    public void testGetLocalDateTimeConverter()

#### testGetLocalDateTimeConverter_Broken

    public void testGetLocalDateTimeConverter_Broken()

#### testOffsetDateTime

    public void testOffsetDateTime()

#### testOffsetDateTime_Broken

    public void testOffsetDateTime_Broken()

#### testGetOffsetDateTimeConverter

    public void testGetOffsetDateTimeConverter()

#### testGetOffsetDateTimeConverter_Broken

    public void testGetOffsetDateTimeConverter_Broken()

#### testOffsetTime

    public void testOffsetTime()

#### testOffsetTime_Broken

    public void testOffsetTime_Broken()

#### testGetOffsetTimeConverter

    public void testGetOffsetTimeConverter()

#### testGetOffsetTimeConverter_Broken

    public void testGetOffsetTimeConverter_Broken()

#### testZoneOffset

    public void testZoneOffset()

#### testZoneOffset_Broken

    public void testZoneOffset_Broken()

#### testGetZoneOffsetConverter

    public void testGetZoneOffsetConverter()

#### testGetZoneOffsetConverter_Broken

    public void testGetZoneOffsetConverter_Broken()

#### testInstant

    public void testInstant()

#### testInstant_Broken

    public void testInstant_Broken()

#### testGetInstantConverter

    public void testGetInstantConverter()

#### testGetInstantConverter_Broken

    public void testGetInstantConverter_Broken()

#### testBoolean

    public void testBoolean()

#### testGetBooleanConverter

    public void testGetBooleanConverter()

#### testCustomConverter

    public void testCustomConverter()

#### testGetCustomConverter

    public void testGetCustomConverter()

#### testDuckConversionWithMultipleConverters

    public void testDuckConversionWithMultipleConverters()

#### testGetDuckConverterWithMultipleConverters

    public void testGetDuckConverterWithMultipleConverters()

#### testURLConverter

    public void testURLConverter()
                          throws MalformedURLException

Throws:
  `MalformedURLException`

#### testURLConverterBroken

    public void testURLConverterBroken()
                                throws Exception

Throws:
  `Exception`

#### testGetURLConverter

    public void testGetURLConverter()
                             throws MalformedURLException

Throws:
  `MalformedURLException`

#### testGetURLConverterBroken

    public void testGetURLConverterBroken()
                                   throws Exception

Throws:
  `Exception`

#### testURIConverter

    public void testURIConverter()

#### testURIConverterBroken

    public void testURIConverterBroken()
                                throws Exception

Throws:
  `Exception`

#### testGetURIConverter

    public void testGetURIConverter()

#### testGetURIConverterBroken

    public void testGetURIConverterBroken()
                                   throws Exception

Throws:
  `Exception`

#### testConverterSerialization

    public void testConverterSerialization()

#### testGetConverterSerialization

    public void testGetConverterSerialization()